﻿// SurfWatch 1.0 - Created by Steven Nagy
// URL: http://surfwatch.snagy.name  Email: steven@snagy.name


System.Gadget.onSettingsClosing = settingsClosing;
function loadSettings()
{                   
    var dropDown = document.getElementById("ddlLocations");    
    LoadDropDown(dropDown); 
    var currentBeachIDSetting = System.Gadget.Settings.read("BeachID");
        
    if (currentBeachIDSetting != "")
    {
        try {
            if (Number(currentBeachIDSetting)>0) {
                dropDown.selectedIndex = Number(currentBeachIDSetting) - 1;    
            }
        }
        catch (ex) {
            dropDown.selectedIndex = 0;
        }
    }
    else {
        dropDown.selectedIndex = 0;
    }
}

function LoadDropDown(dropDown) {    
    var i;
    for (i=0;i<PredefinedLocations.length;i++) {
        dropDown.options[i] = new Option(PredefinedLocations[i][1],PredefinedLocations[i][0]);
    }
}

function settingsClosing(event)
{
    var dropDown = document.getElementById("ddlLocations");    
    
    if (event.closeAction == event.Action.commit)
    {
        var id = dropDown.selectedIndex + 1;
        if (id <= 0) {
            id = 1;
        }
        System.Gadget.Settings.write("BeachID", id);
    }
}