﻿// SurfWatch 1.0 - Created by Steven Nagy
// URL: http://surfwatch.snagy.name  Email: steven@snagy.name


var OnTimerTickHtmlProcessingMethod;
var OnScrapeUrlMethod;

var ContinueTimer = 1; // 1 = on, 0 = off
var refreshTimeoutID = -1;

function StartRefreshEngine(HtmlProcessingMethod, ScrapeUrlMethod) {      
    if (refreshTimeoutID!=-1) {
        clearTimeout(refreshTimeoutID);
    }  
    OnTimerTickHtmlProcessingMethod = HtmlProcessingMethod;    
    OnScrapeUrlMethod = ScrapeUrlMethod;    
    ContinueTimer = 1;    
    refreshTimeoutID = setTimeout("ContinuousTimerTick()", WaitTimeBetweenUpdateChecks);        
}

function ContinuousTimerTick() {        
    if (OnTimerTickHtmlProcessingMethod) {             
        PostProcessMethod = OnTimerTickHtmlProcessingMethod;
    }
    var currentScrapeURL = OnScrapeUrlMethod();    
    LoadSiteData(currentScrapeURL, OnTimerTickHtmlProcessingMethod);    
    
    if (ContinueTimer==1) {        
        refreshTimeoutID = setTimeout("ContinuousTimerTick()", WaitTimeBetweenUpdateChecks);        
    }
}

function StopRefreshEngine() {
    ContinueTimer = 0;
    if (refreshTimeoutID!=-1) {
        clearTimeout(refreshTimeoutID);
    }
}

