﻿// SurfWatch 1.0 - Created by Steven Nagy
// URL: http://surfwatch.snagy.name  Email: steven@snagy.name

System.Gadget.Flyout.onHide = FlyoutAutoHide;
System.Gadget.Flyout.onShow = FlyoutShow; 

function OpenFlyout() {
    System.Gadget.Flyout.file = "flyout.htm";
    System.Gadget.Flyout.show = true;
    //System.Gadget.Flyout.document.MainScript = this;
    //System.Gadget.Flyout.document.EditEvent = false;    
}

function CloseFlyout() {
    System.Gadget.Flyout.show = false;
}

var MoreInfoOutImage = 'Images/MoreInfoOut.png';
var MoreInfoOverImage = 'Images/MoreInfoOver.png';

function MoreInfoOver() {
    var MoreInfoImage = document.getElementById('MoreInfoImage');
    MoreInfoImage.src = MoreInfoOverImage;        
}

function MoreInfoOut() {    
    var MoreInfoImage = document.getElementById('MoreInfoImage');
    MoreInfoImage.src = MoreInfoOutImage;          
}

var FlyoutOpen = 0;
function MoreInfoClick() {
    if (FlyoutOpen==0) {
        OpenFlyout();
        FlyoutOpen = 1;
    }
    else {
        CloseFlyout();
        FlyoutOpen = 0;
    }
}

function FlyoutAutoHide() {
    FlyoutOpen = 0;
}

function FlyoutShow() {    
    var flyoutDOM = System.Gadget.Flyout.document;
    
    SetValueToFlyoutElement(flyoutDOM, 'Beach', '', 'Future forecast for ' + PredefinedLocations[CurrentBeachID-1][1]);
    if (ProcessedArray) {
        var i = FindClosestIndexForCurrentTime(ProcessedArray);
        
        SetValueToFlyoutElement(flyoutDOM, 'Time1', FormatDateAsDayAndTime(ProcessedArray[0][i]), '');
        SetValueToFlyoutElement(flyoutDOM, 'Time2', FormatDateAsDayAndTime(ProcessedArray[0][i+1]), '');
        SetValueToFlyoutElement(flyoutDOM, 'Time3', FormatDateAsDayAndTime(ProcessedArray[0][i+2]), '');
        SetValueToFlyoutElement(flyoutDOM, 'Time4', FormatDateAsDayAndTime(ProcessedArray[0][i+3]), '');
        
        SetValueToFlyoutElement(flyoutDOM, 'WindAverage1', ProcessedArray[1][i][1], ' knots');
        SetValueToFlyoutElement(flyoutDOM, 'WindAverage2', ProcessedArray[1][i+1][1], ' knots');
        SetValueToFlyoutElement(flyoutDOM, 'WindAverage3', ProcessedArray[1][i+2][1], ' knots');
        SetValueToFlyoutElement(flyoutDOM, 'WindAverage4', ProcessedArray[1][i+3][1], ' knots');
                        
        SetValueToFlyoutElement(flyoutDOM, 'WindMax1',ProcessedArray[1][i][0], ' knots');
        SetValueToFlyoutElement(flyoutDOM, 'WindMax2',ProcessedArray[1][i+1][0], ' knots');
        SetValueToFlyoutElement(flyoutDOM, 'WindMax3',ProcessedArray[1][i+2][0], ' knots');
        SetValueToFlyoutElement(flyoutDOM, 'WindMax4',ProcessedArray[1][i+3][0], ' knots');
                                
        SetValueToFlyoutElement(flyoutDOM, 'WindDirection1',ProcessedArray[2][i], '');
        SetValueToFlyoutElement(flyoutDOM, 'WindDirection2',ProcessedArray[2][i+1], '');
        SetValueToFlyoutElement(flyoutDOM, 'WindDirection3',ProcessedArray[2][i+2], '');
        SetValueToFlyoutElement(flyoutDOM, 'WindDirection4',ProcessedArray[2][i+3], '');
                                
        SetValueToFlyoutElement(flyoutDOM, 'WaveAverage1',ProcessedArray[3][i][1], ' feet');
        SetValueToFlyoutElement(flyoutDOM, 'WaveAverage2',ProcessedArray[3][i+1][1], ' feet');
        SetValueToFlyoutElement(flyoutDOM, 'WaveAverage3',ProcessedArray[3][i+2][1], ' feet');
        SetValueToFlyoutElement(flyoutDOM, 'WaveAverage4',ProcessedArray[3][i+3][1], ' feet');
                                
        SetValueToFlyoutElement(flyoutDOM, 'WaveMax1',ProcessedArray[3][i][0], ' feet');
        SetValueToFlyoutElement(flyoutDOM, 'WaveMax2',ProcessedArray[3][i+1][0], ' feet');
        SetValueToFlyoutElement(flyoutDOM, 'WaveMax3',ProcessedArray[3][i+2][0], ' feet');
        SetValueToFlyoutElement(flyoutDOM, 'WaveMax4',ProcessedArray[3][i+3][0], ' feet');
        
        SetValueToFlyoutElement(flyoutDOM, 'WaveDirection1',ProcessedArray[5][i], '');
        SetValueToFlyoutElement(flyoutDOM, 'WaveDirection2',ProcessedArray[5][i+1], '');
        SetValueToFlyoutElement(flyoutDOM, 'WaveDirection3',ProcessedArray[5][i+2], '');
        SetValueToFlyoutElement(flyoutDOM, 'WaveDirection4',ProcessedArray[5][i+3], '');
        
        SetValueToFlyoutElement(flyoutDOM, 'WavePeriod1',ProcessedArray[4][i], ' seconds');
        SetValueToFlyoutElement(flyoutDOM, 'WavePeriod2',ProcessedArray[4][i+1], ' seconds');
        SetValueToFlyoutElement(flyoutDOM, 'WavePeriod3',ProcessedArray[4][i+2], ' seconds');
        SetValueToFlyoutElement(flyoutDOM, 'WavePeriod4',ProcessedArray[4][i+3], ' seconds');
    }    
}

function SetValueToFlyoutElement(flyoutDOM, element, value, append) {
    if (flyoutDOM) {
        var elem = flyoutDOM.getElementById(element);
        if (elem) {           
            elem.innerText = RemoveTagType(RemoveTagType(value, "BR"), "IMG") + append;
        }
    }
}
