﻿// SurfWatch 1.0 - Created by Steven Nagy
// URL: http://surfwatch.snagy.name  Email: steven@snagy.name

System.Gadget.settingsUI = "settings.htm";
System.Gadget.onSettingsClosed = settingsClosed;

function settingsClosed(event)
{    
    if (event.closeAction == event.Action.commit)
    {
        var selectedBeachID = System.Gadget.Settings.read("BeachID");        
        SetBeachVariables(selectedBeachID);
    }
}

function SetBeachVariables(selectedBeachID) {        
    var i;
    for (i=0;i<PredefinedLocations.length;i++) {        
        if (Number(PredefinedLocations[i][0]) == Number(selectedBeachID)) {
            CurrentBeachID = Number(selectedBeachID);
            CurrentBeachLat = PredefinedLocations[i][2];
            CurrentBeachLong = PredefinedLocations[i][3];            
            ReloadUI();
            break;
        }
    }
}

function ReloadUI() {
    if (refreshTimeoutID!=-1) {
        clearTimeout(refreshTimeoutID);
    }  
    var siteURL = GetUrl();
    LoadSiteData(siteURL, ProcessHtml);    
    StartRefreshEngine(ProcessHtml, GetUrl);
}