﻿// SurfWatch 1.0 - Created by Steven Nagy
// URL: http://surfwatch.snagy.name  Email: steven@snagy.name


var Images = [['-999999', '0', 'sw-desert.gif'],
              ['0.1', '1', 'sw-medium1.gif'],
              ['1', '2', 'sw-medium2.gif'],
              ['2', '3.5', 'sw-medium3.gif'],
              ['3.5', '5', 'sw-large1.gif'],
              ['5', '6', 'sw-large2.gif'],
              ['6', '7', 'sw-large3.gif'],
              ['7', '8', 'sw-huge1.gif'],
              ['8', '9.5', 'sw-huge2.gif'],
              ['9.5', '11', 'sw-huge3.gif'],
              ['11', '13', 'sw-huge4.gif'],
              ['13', '9999', 'sw-huge5.gif']];
              
                
function ChangeBackgroundForHeight(height) {    
    var index = FindIndexForWaveHeight(height);
    if (index==-1) index = 0;
    
    var image = Images[index][2];
    System.Gadget.background = 'url(\'Images/' + image + '\')';
}

function FindIndexForWaveHeight(height) {    
    var numHeight = Number(height);
    var i;    
    for (i=0;i<Images.length;i++) {
        var lower = Number(Images[i][0]);
        var upper = Number(Images[i][1]);
        if (numHeight >= lower && numHeight < upper) return i;
    }
    return -1;
}

var LinkOutImage = 'Images/LinkOut.png';
var LinkOverImage = 'Images/LinkOver.png';

function LinkOver() {
    var LinkImage = document.getElementById('LinkImage');
    LinkImage.src = LinkOverImage;        
}

function LinkOut() {    
    var LinkImage = document.getElementById('LinkImage');
    LinkImage.src = LinkOutImage;          
}

function LinkClick() {
    var newURL = siteURL;
    newURL = newURL.replace("%LATITUDE%", CurrentBeachLat);
    newURL = newURL.replace("%LONGITUDE%", CurrentBeachLong);
    window.open(newURL);
}